Subject: [Geopriv] Civic extensions draft

From: "Thomson, Martin" <[email-masked]>
Date: Fri, 17 Dec 2010 12:43:55 +0800

I've just posted a revision to the -local-civic draft that captures some of the progress in the civic address extension discussions we've been having.  

   http://tools.ietf.org/html/draft-winterbottom-geopriv-local-civic-04

A lot has changed.  The changes are based on the discussions that Brian, Richard and I have had both on and off list.

This isn't the end of the discussion.  We haven't completely finished ironing out all the details, but we've made some fairly significant progress.

The high points:

 - problem: there are two formats, and currently two places that extensions to those formats can originate

 - solution: the draft makes the XML format the only place an extension can originate

 - consequence: one final CAtype is defined for carrying an XML-originating extension

 - consequence: the CAtype registry is revised to reflect this

I think that this is simple, pragmatic and backward compatible. 

--Martin

p.s. On leave until January.  Apologies if responses are a little slow.